package com.tsi.api.server.controller.result;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public abstract class AbstractTscApiResult {

    protected int resultCode;
    protected String resultDesc;

    public AbstractTscApiResult(TscApiResultCode result) {
        this.resultCode = result.getValue();
        this.resultDesc = result.toString();
    }

}
